
Audacious - Bug #85

FTBFS with recent ffmpeg (ffaudio

March 23, 2012 17:46 - Doug McMahon

Status: Closed Start date: March 23, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/ffaudio Estimated time: 0.00 hour

Target version: 3.2.2   

Affects version: 3.2.1   

Description

Probably from this commit

http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=284e65d64ea91dc172dea1b843d162b22ed48730

Taking a guess here - edited to

switch (c->sample_fmt) {

case AV_SAMPLE_FMT_U8: out_fmt = FMT_U8; break;

case AV_SAMPLE_FMT_S16: out_fmt = FMT_S16_NE; break;

case AV_SAMPLE_FMT_S32: out_fmt = FMT_S32_NE; break;

case AV_SAMPLE_FMT_FLT: out_fmt = FMT_FLOAT; break;

History

#1 - March 24, 2012 04:13 - John Lindgren

Please give the following info:

1. Version of Audacious.

2. Version (or date checked out from Git) of FFmpeg.

3. Build log.

#2 - March 24, 2012 07:51 - Doug McMahon

- File build-fail.txt added

ffmpeg checked out today - ffmpeg version git-2012-03-22-5a4af04

audacious-plugin git from today (3.3-dev

Note that there is no issue with the 10.2 FFmpeg release, the reason I used the current ffmpeg git was to check if audacious would then support &

playback wmalossless (which it does fine -

ffaudio-core.c:167 [get_format_by_content]: Get format by content: file:///home/doug/Music/luckynight.wma

ffaudio-core.c:201 [get_format_by_content]: Format asf, buffer size 16384, score 100.

VFS: <0x905d640> seek to 0 from beginning

VFS: <0x905d640> size = 6585473

ffaudio-core.c:449 [ffaudio_play]: got codec wmalossless for stream index 0, opening

ffaudio-core.c:467 [ffaudio_play]: opening audio outputffaudio-core.c:167 [get_format_by_content]: Get format by content:

file:///home/doug/Music/luckynight.wma

ffaudio-core.c:201 [get_format_by_content]: Format asf, buffer size 16384, score 100.

VFS: <0x905d640> seek to 0 from beginning

VFS: <0x905d640> size = 6585473

ffaudio-core.c:449 [ffaudio_play]: got codec wmalossless for stream index 0, opening

ffaudio-core.c:467 [ffaudio_play]: opening audio output

Attached fail - on ubuntu 12.04, had to disable alsa & jack due to a couple of undefined, not relevant to ffaudio fail, would actually occur later in build

April 10, 2024 1/2

http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=284e65d64ea91dc172dea1b843d162b22ed48730


#3 - March 24, 2012 07:52 - Doug McMahon

- File build-good.txt added

here's log, same source after edit

#4 - March 25, 2012 19:14 - John Lindgren

- Category set to plugins/ffaudio

- Status changed from New to Closed

- % Done changed from 0 to 100

- Target version set to 3.2.2

- Affects version  added

- Affects version deleted ()

Fixed:

https://github.com/audacious-media-player/audacious-plugins/commit/2236fb3d8e0a121bfef80382abef03c342be1e6a

Files

build-fail.txt 20.5 KB March 24, 2012 Doug McMahon

build-good.txt 32.8 KB March 24, 2012 Doug McMahon
